corda / net.corda.core.messaging / StateMachineInfo

# StateMachineInfo

`data class StateMachineInfo`

### Constructors

<init> | `StateMachineInfo(id: StateMachineRunId, flowLogicClassName: String, progressTrackerStepAndUpdates: Pair<String, Observable<String>>?)`

### Properties

flowLogicClassName | `val flowLogicClassName: String`
id | `val id: StateMachineRunId`
progressTrackerStepAndUpdates | `val progressTrackerStepAndUpdates: Pair<String, Observable<String>>?`